
Titanium.UI.setBackgroundColor('#000');

tabGroup = Titanium.UI.createTabGroup();


# Original table view
win1 = Titanium.UI.createWindow  
    title:'Table view',

tab1 = Titanium.UI.createTab 
    icon:'KS_nav_views.png',
    title:'TableView',
    window:win1

section1 = Ti.UI.createTableViewSection
  headerTitle : 'Section 1'
titles = ["Apples", "Bananas", "Carrots", "Potatoes"]
for title in titles
  section1.add (new app.views.SwitchTableViewRow(title)).row

section2 = Ti.UI.createTableViewSection
  headerTitle : 'Section 2'
for title in titles
  section2.add (new app.views.SwitchTableViewRow(title)).row
    
table = Ti.UI.createTableView
  data: [section1, section2]

win1.add(table)



# Window 2
win2 = Titanium.UI.createWindow  
    title:'ListView',

tab2 = Titanium.UI.createTab 
    icon:'KS_nav_views.png',
    title:'ListView',
    window:win2

listView = Ti.UI.createListView
  templates: { 'template': app.views.listViewTemplates.switchRow }
  defaultItemTemplate: 'template'
sections = []


fruitDataSet = [
    {rowTitle: { text: 'Apples'}},
    {rowTitle: { text: 'Bananas'}},
    {rowTitle: { text: 'Carrots'}},
    {rowTitle: { text: 'Potatoes'}}
]
section1 = Ti.UI.createListSection({ headerTitle: 'Section 1'});
section1.setItems(fruitDataSet)
sections.push(section1)
section2 = Ti.UI.createListSection({ headerTitle: 'Section 2'});
section2.setItems(fruitDataSet)
sections.push(section2)


listView.sections = sections

win2.add(listView)



# Add the tabs & open
tabGroup.addTab(tab1)
tabGroup.addTab(tab2)
tabGroup.open()
