class TwoLineTableViewRow
  constructor: (title, secondLine) -> 
    @row = Ti.UI.createTableViewRow
      className : 'forumEvent'
      hasChild: true
      height : '48dp'
    
    @labelFirstLine = Ti.UI.createLabel
      text : title
      textAlign : 'left'
      left : '7dp'
      top : '5dp'
      bottom : '5dp'
      height : '25dp'
      align : "left"
      width: '300dp'
      font : 
        fontSize : '18dp'
        fontWeight : 'bold'
    
    @labelSecondLine = Ti.UI.createLabel
      color : 'darkgray'
      text : secondLine
      textAlign : 'left'
      left : '7dp'
      top : '25dp'
      height : '20dp'
      width: '300dp'
      font : 
        fontSize : '12dp'
     
    @row.add @labelFirstLine
    @row.add @labelSecondLine   
    
  @getRow: ->
    @row
  
app.views.TwoLineTableViewRow = TwoLineTableViewRow