if not app.views.listViewTemplates
  app.views.listViewTemplates = {}  

app.views.listViewTemplates.switchRow = {
    properties:
          selectionStyle: if app.iphone then Titanium.UI.iPhone.ListViewCellSelectionStyle.NONE else undefined 
    childTemplates: [
        {
            type: 'Ti.UI.Label', # Use a label
            bindId: 'rowTitle',  # Bind ID for this label
            properties:          # Sets the Label.left property
              textAlign: 'left'
              left: '10dp'
              top: '5dp'
              bottom: '5dp'
              height: '25dp'
              align: "left"
              width: '85%'
              #color: 'black'
              font: 
                fontSize: '18dp'
                fontWeight: 'bold'
        },
        {
            type: 'Ti.UI.Label', # Use a label
            bindId: 'sub',       # Bind ID for this label
            properties:          # Sets the Label.left property
              color : 'darkgray'
              textAlign : 'left'
              left : '10dp'
              top : '25dp'
              height : '20dp'
              width: '300dp'
              font : 
                fontSize : '12dp'
        },
        {
            type: 'Ti.UI.ImageView'
            bindId: 'deleteButton'
            properties:
              image: '/images/delete-button-top.png'
              right: '10dp'
              height : '33dp'
              width: '64dp'
              visible: false
        },
        {
            type: 'Ti.UI.Switch'
            bindId: "switch1"
            properties:
              right : 5
              value: false
              touchEnabled: false
        }
    ]
}